<div class="conteudo">
  <h1>Buscar:</h1>

  <form class="example-form">
    <mat-form-field class="formulario" appearance="outline">
      <mat-label>Colaborador</mat-label>
      <input #input type="text" matInput [formControl]="colaboradorFormulario" [matAutocomplete]="auto">
      <mat-autocomplete #auto="matAutocomplete">
        <mat-option *ngFor="let colaborador of colaboradoresFiltrados | async" [value]="colaborador">
          {{colaborador}}
        </mat-option>
      </mat-autocomplete>

      <mat-error *ngFor="let validacao of mensagensValidacao.ControleAutocompleteColaboradores">
        <div *ngIf="colaboradorFormulario.hasError(validacao.type)">
          {{validacao.message}}
        </div>
      </mat-error>

    </mat-form-field>
  </form>

  <mat-form-field class="formulario" appearance="outline">
    <mat-label>Mês e ano</mat-label>
    <input #datepicker matInput [matDatepicker]="dp" [formControl]="data" (keydown.enter)="onSubmit()">
    <mat-datepicker-toggle matSuffix [for]="dp"></mat-datepicker-toggle>
    <mat-datepicker #dp startView="year" (yearSelected)="tratarAnoEscolhido($event)"
      (monthSelected)="tratarMesEscolhido($event, dp)" panelClass="example-month-picker">
    </mat-datepicker>
  </mat-form-field>

  <div>
    <button mat-flat-button class="botao botao-buscar" (click)="onSubmit()">ok</button>
  </div>
</div>
